curl --request GET \
--url https://api.honeycomb.io/1/derived_columns/{datasetSlug} \
--header 'X-Honeycomb-Team: <api-key>'import requests
url = "https://api.honeycomb.io/1/derived_columns/{datasetSlug}"
headers = {"X-Honeycomb-Team": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Honeycomb-Team': '<api-key>'}};
fetch('https://api.honeycomb.io/1/derived_columns/{datasetSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.honeycomb.io/1/derived_columns/{datasetSlug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Honeycomb-Team: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.honeycomb.io/1/derived_columns/{datasetSlug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Honeycomb-Team", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.honeycomb.io/1/derived_columns/{datasetSlug}")
.header("X-Honeycomb-Team", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.honeycomb.io/1/derived_columns/{datasetSlug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Honeycomb-Team"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"alias": "<string>",
"expression": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"description": ""
}
]{
"status": 400,
"type": "https://api.honeycomb.io/problems/unparseable",
"title": "The request body could not be parsed.",
"error": "invalid gzip data"
}{
"error": "unknown API key - check your credentials"
}{
"error": "dataset not found"
}{
"error": "Rate Limited"
}List all Calculated Fields
Get all the Calculated Fields (also called Derived Columns) in a dataset or environment. With the ?alias=X query parameter, can return a single Calculated Field by its alias.
curl --request GET \
--url https://api.honeycomb.io/1/derived_columns/{datasetSlug} \
--header 'X-Honeycomb-Team: <api-key>'import requests
url = "https://api.honeycomb.io/1/derived_columns/{datasetSlug}"
headers = {"X-Honeycomb-Team": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Honeycomb-Team': '<api-key>'}};
fetch('https://api.honeycomb.io/1/derived_columns/{datasetSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.honeycomb.io/1/derived_columns/{datasetSlug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Honeycomb-Team: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.honeycomb.io/1/derived_columns/{datasetSlug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Honeycomb-Team", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.honeycomb.io/1/derived_columns/{datasetSlug}")
.header("X-Honeycomb-Team", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.honeycomb.io/1/derived_columns/{datasetSlug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Honeycomb-Team"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"alias": "<string>",
"expression": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"description": ""
}
]{
"status": 400,
"type": "https://api.honeycomb.io/problems/unparseable",
"title": "The request body could not be parsed.",
"error": "invalid gzip data"
}{
"error": "unknown API key - check your credentials"
}{
"error": "dataset not found"
}{
"error": "Rate Limited"
}Authorizations
Authenticate using a Honeycomb Configuration Key.
Pass the Token in the X-Honeycomb-Team header:
X-Honeycomb-Team: 1234567890123456789012
If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.
To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.
Path Parameters
Response
When listing all columns, an array of CalculatedField objects will be returned. When using key_name, will return a single CalculatedField object if found.
- object[]
- object
The expression to evaluate to construct this Calculated Field's value. (Calculated Field is also called Derived Column.) Refer to the Calculated Field Reference.
1 - 4095